Bug 74728 - KDE calculator, kcalc, does not allow use of decimal key.
Summary: KDE calculator, kcalc, does not allow use of decimal key.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdeutils (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC3BugWeekTracker
TreeView+ depends on / blocked
 
Reported: 2002-10-01 07:29 UTC by public
Modified: 2007-04-18 16:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-26 22:28:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description public 2002-10-01 07:29:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux)

Description of problem:
KDE Scientific calculator, kcalc, does not allow user to floating point numbers. The decimal point key, [.], does not insert a decimal point while a floating point number is being keyed in.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Using KDE calculator, kcalc, try entering a floating point number; such as 14.554.
2. The display shows 14554.
3. Any following calculations use 14554 not 14.554.
4. Any floating point number entered via the keys exhibits this problem.

Expected Results:  The expected value used AND displayed should be 14.554, not 14554.

Additional info:

Comment 1 Rik van Riel 2004-09-26 22:28:02 UTC
Tested by morte in #fedora-bugweek. Apparently this works fine in
rawhide...


Note You need to log in before you can comment on or make changes to this bug.